package com.kingdee.eas.custom.synctask;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SyncTranForAtsFacadeFactory
{
    private SyncTranForAtsFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.synctask.ISyncTranForAtsFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.ISyncTranForAtsFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("8E08F1CD") ,com.kingdee.eas.custom.synctask.ISyncTranForAtsFacade.class);
    }
    
    public static com.kingdee.eas.custom.synctask.ISyncTranForAtsFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.ISyncTranForAtsFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("8E08F1CD") ,com.kingdee.eas.custom.synctask.ISyncTranForAtsFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.synctask.ISyncTranForAtsFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.ISyncTranForAtsFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("8E08F1CD"));
    }
    public static com.kingdee.eas.custom.synctask.ISyncTranForAtsFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.ISyncTranForAtsFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("8E08F1CD"));
    }
}